## org.eclipse.emf.cdo.ui
Class CDOLabelProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
          org.eclipse.emf.cdo.ui.CDOLabelProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, IBaseLabelProvider, IColorProvider, IFontProvider, ILabelProvider, ITableLabelProvider

    public class CDOLabelProvider

extends org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
implements IColorProvider, IFontProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.ColorProvider, org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.FontAndColorProvider, org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.FontProvider`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`adapterFactory, defaultBackground, defaultFont, defaultForeground, isFireLabelUpdateNotifications, labelProviderListeners`

Constructor Summary
`CDOLabelProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, CDOView view, TreeViewer viewer)`

Method Summary
`void` `dispose()`
`Color` `getBackground(java.lang.Object object)`
`Font` `getFont(java.lang.Object object)`
`Color` `getForeground(java.lang.Object object)`
`CDOView` `getView()`
`TreeViewer` `getViewer()`
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification notification)`

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`addListener, fireLabelProviderChanged, getAdapterFactory, getBackground, getColorFromObject, getColumnImage, getColumnText, getDefaultBackground, getDefaultFont, getDefaultForeground, getDefaultImage, getFont, getFontFromObject, getForeground, getImage, getImageFromObject, getText, isFireLabelUpdateNotifications, isLabelProperty, removeListener, setAdapterFactory, setDefaultBackground, setDefaultFont, setDefaultForeground, setFireLabelUpdateNotifications`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOLabelProvider

    public CDOLabelProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                            CDOView view,
                            TreeViewer viewer)

Since:
  2.0

Method Detail

### getView

    public CDOView getView()

  Since:
    2.0

### getViewer

    public TreeViewer getViewer()

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IBaseLabelProvider`
  Overrides:
    `dispose` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider`

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.edit.provider.INotifyChangedListener`
  Overrides:
    `notifyChanged` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider`

### getBackground

    public Color getBackground(java.lang.Object object)

  Specified by:
    `getBackground` in interface `IColorProvider`
  Overrides:
    `getBackground` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider`

### getForeground

    public Color getForeground(java.lang.Object object)

  Specified by:
    `getForeground` in interface `IColorProvider`
  Overrides:
    `getForeground` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider`

### getFont

    public Font getFont(java.lang.Object object)

  Specified by:
    `getFont` in interface `IFontProvider`
  Overrides:
    `getFont` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.